#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
uniform sampler2D rubyTexture;

void main()
{
  vec4 origColor = texture2D(rubyTexture, v_texCoord);
  float avgColor = (origColor.r+origColor.g+origColor.b)/3.0;
  gl_FragColor = vec4(max(origColor.r,avgColor),avgColor,avgColor,origColor.a);
}
