#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
uniform sampler2D rubyTexture;
const mat4 transformationMatrix = mat4(vec4(0.0,0.5,0.5,0.0),vec4(0.5,0.0,0.5,0.0),vec4(0.5,0.5,0.0,0.0),vec4(0.0,0.0,0.0,1.0));

void main()
{
  gl_FragColor = transformationMatrix * texture2D(rubyTexture, v_texCoord);
}
